1 Octobre 2022

WordPress vise à héberger localement les polices pour les thèmes par défaut de la version 6.2

Comment s'est passé le choix d'héberger les polices localement pour rendre WordPress plus conforme au RGPD ?

Polices locales WordPress RGPD
Print Friendly, PDF & Email

En juin 2022, l'équipe thématique de WordPress.org a commencé à exhorter fortement les auteurs de thèmes à passer à des polices Web hébergées localement, à la suite d'une affaire judiciaire allemande, qui a infligé une amende à un propriétaire de site Web pour avoir enfreint le RGPD en utilisant une police Web hébergée par Google. Pendant des années, les auteurs de thèmes ont mis en file d'attente Google Fonts à partir du CDN de Google pour de meilleures performances, mais cette méthode expose les adresses IP des visiteurs.

En laissant de côté nos considérations concernant l'absurdité qu'est le RGPD et les diverses références techniques/juridiques sur lesquelles il se base, il faut dire que le problème à ce jour indéfini a créé des problèmes pour tout le monde y compris WordPress.

L'équipe du thème a averti que les directives d'hébergement des polices locales changeraient de manière immanente, et de nombreux auteurs de thèmes ont décidé de s'y conformer avant que cela ne devienne une exigence.

Un billet Le groupement de polices Google avec les thèmes par défaut hérités de WordPress avait des correctifs et était sur le point d'être inclus dans WordPress 6.1 en novembre. Contributeur WordPress Hendrik Luehrsen Il a demandé plus d'yeux sur le billet, en disant que "affecte directement le principal public WordPress en Allemagne" . Il a signalé que les utilisateurs en Allemagne recevaient toujours des e-mails les menaçant d'amendes pour l'utilisation de polices téléchargées par Google.

Client WordPress principal Tonya Mork il a suggéré pour explorer la sortie de la version mise à jour de chaque thème séparément de WordPress 6.1.

Lorsque chaque thème est prêt, déposez-le dans le référentiel de thèmes wp.org, les utilisateurs peuvent ensuite effectuer une mise à niveau pour obtenir des polices hébergées localement avant la sortie de WP 6.1.

dit Morck.

Cela a changé la direction du ticket, et avec plus d'examen, les contributeurs ont découvert que les correctifs pourraient demander un peu plus de travail.

"Créer de nouvelles versions du thème pour ce changement spécifique pourrait être utile quand ils sont prêts ", a déclaré Stephen Bernhardt. " L'utilisation de polices hébergées localement c'est déjà recommandé, mais il faut corriger nos thèmes avant de pouvoir en faire une exigence pour les autres ». Il a présenté une liste de problèmes et d'améliorations potentielles après avoir examiné les correctifs et les contributeurs travaillent sur une meilleure approche.

Le core committer de WordPress, David Baumwald, a a changé le jalon à 6.2 , car la bêta 2 pour 6.1 a été publiée hier et le ticket a encore besoin d'une direction finale et d'un patch.

"Même si je comprends le problème, c'est toujours triste à voir", a déclaré Luehrsen. "C'est toujours un problème sérieux en Allemagne (et dans d'autres territoires GDPR), car les utilisateurs avec des polices Google actives sont actuellement ciblé par des personnes qui abusent de la loi " .

Luehrsen s'est tourné vers Twitter pour commentaire sa déception avec le billet manquant la fenêtre pour 6.1.

C'est pourquoi WordPress perdra probablement de sa pertinence. Les vrais utilisateurs sont blessés ici, mais ils se trouvent dans des territoires RGPD et cela ne semble pas avoir d'importance. Aurais-je pu faire plus ? Probablement. Mais c'est un peu triste de voir à quelle vitesse l'élan sur ce billet s'est estompé. Si Squarespace, Wix et autres commencent à commercialiser la confidentialité contre WordPress, nous sommes foutus dans les pays GDPR.

En attendant, ceux qui utilisent les thèmes WordPress par défaut peuvent utiliser un plugin comme Polices Google locales o OMGF | Conformité GDPR / DSVGO, polices Google plus rapides pour héberger les polices localement.

Les utilisateurs peuvent également passer à Polices de lapin , une plate-forme de polices Web open source axée sur la confidentialité, sans suivi ni enregistrement, entièrement conforme au RGPD. Bunny Fonts est compatible avec Google Fonts CSS API v1, il peut donc fonctionner comme un remplacement direct. Le plugiciel Remplacer les polices Google par des polices Bunny permet aux utilisateurs de le faire facilement sans changer le code du thème.

Les contributeurs travaillent pour que des thèmes WordPress par défaut entièrement conformes au RGPD soient prêts pour WordPress 6.2, prévu pour début 2023.

Vous avez des doutes ? Vous ne savez pas par où commencer ? Contactez-nous


Nous avons toutes les réponses à vos questions pour vous aider à faire le bon choix.

Discute avec nous

Discutez directement avec notre support avant-vente.

0256569681

Contactez-nous par téléphone pendant les heures de bureau 9h30 - 19h30

Contactez-nous en ligne

Ouvrez une demande directement dans l'espace contact.

INFORMATIONS

ManagedServer.it est le premier fournisseur italien de solutions d'hébergement hautes performances. Notre modèle d'abonnement est abordable et prévisible, afin que les clients puissent accéder à nos technologies d'hébergement fiables, à nos serveurs dédiés et au cloud. ManagedServer.it offre également d'excellents services d'assistance et de conseil sur l'hébergement des principaux CMS Open Source tels que WordPress, WooCommerce, Drupal, Prestashop, Magento.

JUSTE UN MOMENT !

Souhaitez-vous voir comment votre WooCommerce fonctionne sur nos systèmes sans avoir à migrer quoi que ce soit ? 

Entrez l'adresse de votre site WooCommerce et vous obtiendrez une démonstration navigable, sans avoir à faire absolument quoi que ce soit et entièrement gratuite.

Non merci, mes clients préfèrent le site lent.
haut